#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ActivitySummerPlanSendGoldPriceCFGData
{
	//ID
	int mID;
	//中奖人数
	int mPriceCount;
	//奖励道具ID
	std::vector<int> mItemID;
	//奖励道具数量
	std::vector<int> mItemCount;
};

class M_ActivitySummerPlanSendGoldPriceCFG
{
public:
private:
	static std::auto_ptr<M_ActivitySummerPlanSendGoldPriceCFG> msSingleton;
public:
	int GetCount();
	const M_ActivitySummerPlanSendGoldPriceCFGData* GetData(int ID);
	boost::unordered_map<int, M_ActivitySummerPlanSendGoldPriceCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ActivitySummerPlanSendGoldPriceCFG* GetSingleton();
private:
	boost::unordered_map<int, M_ActivitySummerPlanSendGoldPriceCFGData> mMapData;
};
